.color-body{
    color: #4e4e4e;
}
.width-100{
    width: 100%;
}
span{
    display: inline-block;
}
.fs-40px{
    font-size:40px ;
}
        /* navbar */
        .navbar a:hover:before, .navbar li:hover>a:before, .navbar .active:before {
            visibility: visible;
            width: 80%;
        }
        .nav-link:focus, .nav-link:hover  {
            color: #fff;
        }
        .navbar-brand:hover {
            --bs-navbar-brand-hover-color:#fff ; 
        }
        .underlined-text::before {
            content: "";
            display: block;
            height: 2px;
            background-color: white; 
            position: absolute;
            bottom: -5px; 
            left: 5px;
            width: 0%;
            visibility: hidden;
    transition: all 0.3s ease-in-out 0s;
            }
        .navbar-brand {
            --bs-navbar-brand-color:#fff;
        }
        .nav-link {
            --bs-nav-link-color:#fff;
        }
        .navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
            --bs-navbar-active-color: #fff;
        }
        .z-100{
            z-index: 100;
        }
            /* home section */
    .home{
        background-image: url(../image/hero-bg.jpg);
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: cover;
        background-position: center;
        position: relative;
    .overlay{
        background-color: rgba(0, 0 , 0 , 0.6);
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 0.9;
        padding: 0;
    }
    }

.designer{
    animation: designer 8s infinite steps(8) ;
}
.developer{
    animation: developer 8s infinite steps(9) ;
}
.freelancer{
    animation: Freelancer 8s infinite steps(10);
}
.photographer{
    animation: Photographer 8s infinite steps(14);
}
@keyframes designer {
    0%{
        width: 0;
    }
    5%{
        width:calc(9 * 24.74px)
    }
    20%{
        width: calc(9 * 24.74px)
    }
    25%{
        width: 0;
    }
    50%{
        width: 0;
    }
    100%{
        width: 0;
    }
}
@keyframes developer {
    0%{
        width: 0;
    }
    25%{
        width: 0;
    }
    30%{
        width: calc(9 * 24.74px)
    }
    45%{
        width: calc(9 * 24.74px)
    }
    50%{
        width: 0;
    }
    100%{
        width: 0;
    }
}
@keyframes Freelancer{
    0%{
        width: 0;
    }
    50%{
        width: 0;
    }
    55%{
        width: calc(10*24.74px)
    }
    70%{
        width: calc(10*24.74px)
    }
    75%{
        width: 0;
    }
    100%{
        width: 0;
    }
}
@keyframes Photographer{
    0%{
        width: 0;
    }
    50%{
        width: 0;
    }
    75%{
        width:0;
    }
    80%{
        width:  calc(14*24.74px)
    }
    90%{
        width:  calc(14*24.74px)
    }
    95%{
        width:calc(14*24.74px)
    }
    100%{
        width: 0;
    }
}
/* section about */
.title-info{
    font-weight: 600;
    color: #1e1e1e;
    font-size: 20px;
}
.fs-20px{
    font-size: 20px;
}
.about-before::before{
    content: "";
            display: block;
            height: 2px;
            background-color: blue; 
            position: absolute;
            bottom: -5px; 
            left: 5px;
            width: 100px;
}
/* services section */
.title{
    text-align: center;
    position: relative;
    h2{
        font-size: 48px;
        margin: 0 0 8px;
        text-transform: capitalize;
        font-weight: bold;
        color: black;
    }
    p{
        font-size: 16px;
        margin: 0 0 16px;
    }
    &::before{
        content: "";
            display: block;
            height: 2px;
            background-color: blue; 
            position: absolute;
            bottom: -10px; 
            left: 48%;
            width: 50px;
    }
}
.width-130px{
    width: 130px;
}
.h-130px{
    height: 130px;
}
.width-33{
    width: calc((100% / 3) - 24px );
}
.border-solid-10px{
    border: blue solid 10px;
}
.icon-card:hover {
    border-color: lightblue;
    background-color: blue;
    transition: all 500ms ease-in;
    i{
        color: #fff;
    }
}
.width-90px{
    width: 90px;
}
.h-90px{
    height: 90px;
}
.end-section-services{
    background-image: url(../image/counters-bg.jpg );
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
}
.main-layer{
    background-color: #0078ff;
    opacity: 0.7;
}
.border-solid-10px-light{
    border: lightblue solid 10px;
}
.width-25-m{
    width: 25%;
}
.mb-150px{
    margin-bottom:150px ;
}
/* section portfolio */
.text-blue{
    color: rgb(5, 96, 253);
}
.card-port{
    width: calc((100% / 3 ) - 1.5rem);
    &:hover img{
        transform: scale(1.5);
        transition: transform 1s ease-in;
    }
    img{
        transform: scale(1);
        transition: transform 1s ease-out;
    }
}
.fs-12px{
    font-size: 12px;
}
.portfolio-car{
    background-image: url(../image/overlay-bg.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}
.port-img{
    width: 150px;
    height: 150px;
}
.max-width-30{
    max-width: 60%;
}
.pb-150px{
    padding-bottom: 150px;
}
.pt-100px{
    padding-top: 100px;
}
.carousel-indicators [data-bs-target] {
    width: 15px;
    height: 15px;
    border-radius: 50%;
}
/* section blog */
.words a{
    text-decoration: none;
    color: black;
}
.width-img-30px{
    width:30px;
    height:30px;
}
.top-50-m{
    top: 10%;
}
.width-blog-card{
    width: calc((100% / 3) - 1.5rem);
}
.fs-16px{
    font-size: 16px;
}
.color-footer{
    color: #1e1e1e;
}
.start-5{
    left: 10%;
}
.travel{
    background-color: #0078ff;
    color: white;
    width: fit-content;
    padding: 6px 15px;
}
.pb-100px{
    padding-bottom: 100px;
}
/* section- contact */
.contact{
    background-image: url(../image/overlay-bg.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}
.contact-title::before{
    content: "";
            display: block;
            height: 5px;
            background-color: blue; 
            position: absolute;
            bottom: 20px; 
            left: 25px;
            width: 100px;
}
.bottom--50px{
    bottom: -80px;
}
.box{
    padding-top: 100px;
    padding-bottom: 100px;
}
.layer-contact{
    opacity: 0.7;
    background-color: #0078ff;
}
ul{
    list-style: none;
}
.color-i a i{
    color: #0078ff;
    margin-right: 5px;
}
.color-i a{
    margin-top: 5px;
}
.color-i ul {
    margin-top: 5px;
}
.color-i ul li {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: solid 3px #0078ff;
    position: relative;
    &:hover {
        background-color: #0078ff;
    }
}
.color-i ul li i {
    position: absolute;
    left: 10px;
    top: 10px;
}
.end{
    background-color: blue;
    padding: 20px 0;
}
html{
    scroll-padding-top: 55px;
}
